Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class ReAllocateWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.ReAllocateWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class ReAllocateWorkItem

extends java.lang.Object
implements OSAction<VoidResult>

ReAllocate a Work Item to another resource.

A Work Item can only be ReAllocated if it is Allocated to the current user.

Returns no result, an ActionException is thrown if an error occurs.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ReAllocateWorkItem(java.util.Set<ManagedId> items, java.lang.String userId)` Constructs a new ReAllocateWorkItem Action

Method Summary
`java.util.Set<ManagedId>` | `getItems()` The set of `ManagedId` Items to ReAllocate, a list of items can be retrieved by calling `GetToDoList`
`java.lang.String` | `getUserId()` User ID ( GUID ) of the user to allocate the Work Item to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReAllocateWorkItem

    public ReAllocateWorkItem(java.util.Set<ManagedId> items,
                              java.lang.String userId)

  Constructs a new ReAllocateWorkItem Action

  Parameters:
    `set` - of `ManagedId` Items to ReAllocate, a list of items can be retrieved by calling `GetToDoList`
    `userId` - User ID ( GUID ) of the user to allocate the Work Item to.

Method Detail

### getItems

    public java.util.Set<ManagedId> getItems()

  The set of `ManagedId` Items to ReAllocate, a list of items can be retrieved by calling `GetToDoList`

  Returns:
    Returns the items.

### getUserId

    public java.lang.String getUserId()

  User ID ( GUID ) of the user to allocate the Work Item to.

  Returns:
    Returns the userId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.